## links2 2.3~pre1

=== debian/changelog ===
links2 (2.3~pre1-1) unstable; urgency=low

  [Gürkan Sengün]
  * New upstream version.
    + Supports UTF-8 (Closes: #544289)
  * debian/rules: drop dh_desktop call.
  * Bump debhelper version to 7.
  * Added debian/watch file.

  [Axel Beckert]
  * Added myself to Uploaders
  * Bumped Standards-Version to 3.9.0 (no changes)
  * Move to Source Format "3.0 (quilt)"
  * Apply patch by Mats Erik Andersson <mats.andersson@gisladisker.se>
    abort if an SSL certificate doesn't validate and update it to fit to
    2.3pre1 sources. (Closes: #510417)
  * Added appropriate prerm and postinst scripts for links, too
    (Closes: #556118, LP: #443391)

 -- Axel Beckert <abe@debian.org>  Fri, 09 Jul 2010 17:08:56 +0200

links2 (2.2-1) unstable; urgency=low

  * New upstream version.
  * Update debian/links2.desktop. (Closes: #488904)
  * Bump standards version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 04 Aug 2008 12:19:47 +0200

links2 (2.1pre37-1.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Make sure links cannot bypass the proxy, if it is configurered only
    to use it in order to avoid leaking of sensitive information to
    external programs, fix in session.c (Closes: #492744)
    Fixes: CVE-2008-3329

 -- Steffen Joeris <white@debian.org>  Sat, 02 Aug 2008 03:33:53 +0000

links2 (2.1pre37-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 23 Jun 2008 12:57:39 +0200

links2 (2.1pre36-1) unstable; urgency=low

  * New upstream version.
  * Fix config file name in manual page. (Closes: #471814)
  * Fix some typos in manual page. (Closes: #461809)
  * Remove bashism from debian/rules. (Closes: #478610)
  * debian/control: Updated section.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 13 May 2008 11:17:09 +0200

links2 (2.1pre35-1) unstable; urgency=low

  * New upstream version.
  * Updated my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 05 May 2008 20:45:43 +0200

links2 (2.1pre33-1) unstable; urgency=low

  * New upstream version.
  * Drop building the dummy links-ssl package.
  * Update debian/copyright.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 09 Feb 2008 10:20:42 +0100

links2 (2.1pre32-1) unstable; urgency=low

  * New upstream version.
  * Links now is built from this source as well. (Closes: #451744, #451087)
  * debian/control: Bump standards version.
  * debian/copyright: Reformatted.
  * debian/rules: Add missing dh_desktop call.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 13 Dec 2007 11:03:56 +0100

links2 (2.1pre31-1) unstable; urgency=low

  * New upstream version.
  * Applied patch for the xlinks2 wrapper to use exec, thanks Justin Pryzby.
    (Closes: #428639)
  * Added desktop file.
  * Updated long description in debian/control. (Closes: #327382)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 Oct 2007 01:36:33 +0100

links2 (2.1pre28-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 11 Apr 2007 21:17:10 +0200

links2 (2.1pre27-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 11 Apr 2007 17:17:26 +0200

links2 (2.1pre26-4) unstable; urgency=high

  * Add another missing build depends to fix the X backend.
    Thanks to Julien Cristau for the help.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  6 Dec 2006 14:52:09 +0100

links2 (2.1pre26-3) unstable; urgency=high

  * Add missing build depends to fix the X backend.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed,  6 Dec 2006 08:42:21 +0100

links2 (2.1pre26-2) unstable; urgency=low

  * Apply patch to fix finding of X header files. (Closes: #398642)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri,  1 Dec 2006 09:21:48 +0100

links2 (2.1pre26-1) unstable; urgency=low

  * New upstream version. Reenable smb:// support,
    it got properly fixed by upstream.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 30 Nov 2006 09:47:56 +0100

links2 (2.1pre25-2) unstable; urgency=high

  * Disable smb:// support, fixes CVE-2006-5925.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 29 Nov 2006 09:58:31 +0100

links2 (2.1pre25-1) unstable; urgency=medium

  * New upstream version. (Closes: #398642)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 28 Nov 2006 08:03:35 +0100

links2 (2.1pre24-1) unstable; urgency=low

  * New upstream version. (Closes: #316261)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 13 Nov 2006 00:25:13 +0100

links2 (2.1pre23-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri,  4 Aug 2006 10:17:51 +0200

links2 (2.1pre22-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 30 May 2006 11:17:40 +0200

links2 (2.1pre21-2) unstable; urgency=low

  * Update debian/copyright. (Closes: #361772)
  * Update build-depends for libdirectfb.
  * Decrease update-alternatives points.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 21 Apr 2006 13:15:18 +0200

links2 (2.1pre21-1) unstable; urgency=low

  * New upstream version. 
    - Add libssl-dev to build depends. (Closes: #258301)
  * Fixed URLs. (Closes: #359660)
  * Rebuild (xlib transition), add libsdl1.2-dev to build
    depends. (Closes: #351286)
  * Removed type-handling from build-depends.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun,  2 Apr 2006 21:28:41 +0200

links2 (2.1pre20-3) unstable; urgency=low

  * Update build-depends. (closes: #346591)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 12 Jan 2006 10:16:23 +0100

links2 (2.1pre20-2) unstable; urgency=low

  * Applied patch to fix a rendering bug.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue, 27 Dec 2005 13:00:38 +0100

links2 (2.1pre20-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat, 10 Dec 2005 16:57:42 +0100

links2 (2.1pre19-1) unstable; urgency=low

  * New upstream version.

