=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
        --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
        --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
        --enable-graphics --with-x --with-fb

build: build-stamp

build-stamp:  config.status
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) clean distclean
	-rm -f config.cache config.log config.status
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
#	cat debian/control.in \
#	| sed "s/@linux-gnu@/`type-handling any linux-gnu`/g" \
#	> debian/control
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
	#rename links.1 and links to links2.1 and links2
	mv $(CURDIR)/debian/links2/usr/bin/links \
           $(CURDIR)/debian/links2/usr/bin/links2
	cp $(CURDIR)/debian/xlinks2 \
           $(CURDIR)/debian/links2/usr/bin/xlinks2
	chmod 755 $(CURDIR)/debian/links2/usr/bin/xlinks2
	mv $(CURDIR)/debian/links2/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/links2/usr/share/man/man1/links2.1
	cp -vR doc $(CURDIR)/debian/links2/usr/share/doc/links2/calibration
	cp links_32x32.xpm $(CURDIR)/debian/links2/usr/share/pixmaps/links2.xpm
	cp debian/links2.desktop debian/links2/usr/share/applications/

#	build the textmode only version
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
	--build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
	--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	--without-svgalib --without-x --without-fb --without-directfb --without-libjpeg --without-libtiff
	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
	mv $(CURDIR)/debian/links2/usr/bin/links \
           $(CURDIR)/debian/links/usr/bin/links
	mv $(CURDIR)/debian/links2/usr/share/man/man1/links.1 \
           $(CURDIR)/debian/links/usr/share/man/man1/links.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installmime
	dh_installman
	dh_link -plinks2 usr/share/man/man1/links2.1 usr/share/man/man1/xlinks2.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
