=== debian/watch ===
version=3
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.gz
