## links2 2.3

=== debian/changelog ===
links2 (2.3-2) unstable; urgency=low

  * Import new IPv6 patch from patch upstream. Fixes several
    issues. (Closes: #645166)
  * Fix misspelling of "Windows" in codepage list (LP: #649796)
  * Add lintian overrides for spelling error false positives in
    translations.
  * Add patch to fix spelling and formatting issues lintian found in the
    man page.
  * Mention links2 in the description of links (Closes: #500768)

 -- Axel Beckert <abe@debian.org>  Wed, 16 Nov 2011 03:50:41 +0100

links2 (2.3-1) unstable; urgency=low

  * New upstream release.
    + Refreshed patches links2-instead-of-links.diff and ipv6.diff
    + Fixes downloads of files larger than 4GB (Closes: #610418)
  * Fix debian/watch so that upstream versions are sorted properly; add
    and prefer bzip2 compressed upstream tarballs.
  * Add missing bug number for IPv6 patch in the previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Thu, 18 Aug 2011 23:35:41 +0200

links2 (2.3~pre2-1) unstable; urgency=low

  * New upstream version.
    + Supports more UTF-8 in text terminals, but still not all (See:
      #589770 and #316261)
    + Refreshed all patches.
  * Fixed watch file (Closes: #591501)
  * Use dh_autotools-dev_updateconfig and dh_autotools-dev_restoreconfig
    to be able to make two identical builds in a row.
    - Build-Depend on autotools-dev
    - Remove config.{sub,guess} hunks from
      debian/patches/patches-as-of-link2-2.2-1.diff
  * Split remaining patches-as-of-link2-2.2-1.diff into
    links2-instead-of-links.diff and
    x-terminal-emulator-instead-of-xterm.diff
  * Remove Gürkan from list of maintainers on his own request, become sole
    maintainer
  * Replace long-time obsolete alternative libpng3-dev build dependency by
    the virtual package libpng-dev
  * Replace libjpeg62-dev build dependency by libjpeg8-dev | libjpeg-dev
    (Closes: #634144)
  * Added Vcs-* headers for new git repository.
  * Added Icon=links2 to links2.desktop (Closes: #627715)
  * Added Brazilian Portuguese entries for links2.desktop. Thanks to
    Sérgio Cipolla! (Closes: #633816)
  * Added IPv6 patch from http://xpisar.wz.cz/links-ipv6/, slightly
    modified and refreshed to fit 2.3pre2 release. (Closes: #632172)
  * Add patch to improve error message when using -g option with links
    instead of links2 (Closes: #602227)
  * Add abort-on-upstream-changes and unapply-patches to
    debian/source/local-options as source format 3.0 stubbornly does not
    allow to put it into debian/source/options
  * Fix lintian warning debian-rules-missing-recommended-target
    (build-arch and build-indep)
  * Bump Standards-Version to 3.9.2 (no changes necessary)
  * Refer to the versionened, non-symlinked GPL in debian/copyright.
  * Update Copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Wed, 20 Jul 2011 18:58:37 +0200
