=== debian/control ===
Source: links2
Section: web
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpmg1-dev [i386 ia64 alpha amd64 arm hppa m68k mips mipsel powerpc ppc64 s390 sparc], libsvga1-dev [i386 amd64], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev
Standards-Version: 3.9.2
Homepage: http://links.twibright.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git

Package: links2
Architecture: any
Provides: www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web browser running in both graphics and text mode
 Links is a graphics and text mode WWW browser, similar to Lynx. It displays
 tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
 In graphics mode it displays PNG, JPEG, GIF, TIFF, and XBM pictures, runs
 external bindings on other types, and features anti-aliased font, smooth
 image zooming, 48-bit dithering, and gamma and aspect ratio correction.

Package: links
Architecture: any
Provides: www-browser
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Web browser running in text mode
 Links is a text mode WWW browser, similar to Lynx. It displays tables,
 frames, downloads on background, uses HTTP/1.1 keepalive connections.
 .
 This version is compiled without graphics mode. See the package
 links2 for a version with graphics support compiled in.
