=== debian/rules ===
--- 
+++ 
@@ -17,14 +17,16 @@
 
 config.status: configure
 	dh_testdir
+	dh_autotools-dev_updateconfig
 	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) \
         --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
         --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
         --enable-graphics --with-x --with-fb
 
-build: build-stamp
-
-build-stamp:  config.status
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: config.status
 	dh_testdir
 	$(MAKE)
 
@@ -33,12 +35,7 @@
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) clean distclean
 	-rm -f config.cache config.log config.status
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
+	dh_autotools-dev_restoreconfig
 #	cat debian/control.in \
 #	| sed "s/@linux-gnu@/`type-handling any linux-gnu`/g" \
 #	> debian/control
@@ -87,6 +84,7 @@
 	dh_installmenu
 	dh_installmime
 	dh_installman
+	dh_lintian
 	dh_link -plinks2 usr/share/man/man1/links2.1 usr/share/man/man1/xlinks2.1
 	dh_strip
 	dh_compress
