## links2 2.4

=== debian/changelog ===
links2 (2.4-1) unstable; urgency=low

  * New upstream release.
    + Refreshed the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - improve-message-of-dash-g-602227.diff
      - fix-typos-in-manpage.diff
    + Imported new ipv6.diff from patch upstream.
  * Add description to fix-puerile-humor.diff

 -- Axel Beckert <abe@debian.org>  Wed, 30 Nov 2011 01:19:46 +0100
