## links2 2.5

=== debian/changelog ===
links2 (2.5-1) unstable; urgency=low

  * New upstream release.
    + Refreshed the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - improve-message-of-dash-g-602227.diff
    + Imported new ipv6.diff from patch upstream.
  * Replace "dh_clean -k" by "dh_prep".

 -- Axel Beckert <abe@debian.org>  Mon, 02 Jan 2012 18:23:23 +0100
