=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/links2
 	#rename links.1 and links to links2.1 and links2
