## links2 2.6

=== debian/changelog ===
links2 (2.6-1) unstable; urgency=medium

  * New upstream release
    + Fixes several possibly remotely exploitable security issues (Closes:
      #668227; set urgency=medium due to security bug fixes)
    + Refresh the following patches:
      - links2-instead-of-links.diff
      - x-terminal-emulator-instead-of-xterm.diff
      - fix-typos-in-manpage.diff
      - improve-message-of-dash-g-602227.diff
      - verify-ssl-certs-510417.diff
    + Imported new ipv6.diff from patch upstream.
    + Removed BUGS and TODO from debian/docs, they no more exists in upstream
      tarball. Added AUTHORS instead.
  * Enable hardened build flags (Closes: #654807) Thanks Moritz
    Muehlenhoff!
  * Enable bzip2 and lzma support by adding according build dependencies
  * Replaced build-dependendy on libgpmg1-dev by libgpm-dev
  * Replaced incomplete linux-only architecture list in build-dependency
    with "linux-any"
  * Broadened architecture constraints for the libsvga1-dev build-dependency
    since svgalib has been ported to non-x86 architectures as well as to
    kfreebsd.
  * Updated lintian overrides for spelling error false positives in
    translations.
  * Bumped Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Sat, 21 Apr 2012 09:47:46 +0200
