=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpmg1-dev [i386 ia64 alpha amd64 arm hppa m68k mips mipsel powerpc ppc64 s390 sparc], libsvga1-dev [i386 amd64], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
+Standards-Version: 3.9.3
 Homepage: http://links.twibright.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git
