## links2 2.7

=== debian/changelog ===
links2 (2.7-1ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 09 Sep 2012 09:30:02 +0100

links2 (2.7-1) unstable; urgency=low

  * New upstream release
    + Supports HTTPS proxy (Closes: #591438)
    + Supports IPv6 (drop IPv6 patch from Petr Pisar)
    + Fixes memory leak in FTP support
    + Fixes several rendering issues
    + Drop fix-typos-in-manpage.diff, applied upstream.
  * Refreshed updated the following patches:
    + improve-message-of-dash-g-602227.diff
    + links2-instead-of-links.diff
    + x-terminal-emulator-instead-of-xterm.diff

 -- Axel Beckert <abe@debian.org>  Tue, 26 Jun 2012 21:28:42 +0200

links2 (2.6-2) unstable; urgency=low

  * Enable hardening build flags so that they're really in
    effect. (Closes: #654807) Thanks Simon Ruderich!

 -- Axel Beckert <abe@debian.org>  Mon, 28 May 2012 18:07:29 +0200
