=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: links2
 Section: web
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff4-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper (>= 7), libpng12-dev | libpng-dev, libtiff-dev, libjpeg8-dev | libjpeg-dev, libx11-dev, libgpm-dev [linux-any], libsvga1-dev [linux-any kfreebsd-any], libdirectfb-dev, libssl-dev, libsdl1.2-dev, libxau-dev, libxdmcp-dev, libxt-dev, autotools-dev, libbz2-dev, liblzma-dev
 Standards-Version: 3.9.3
 Homepage: http://links.twibright.com/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
