=== debian/changelog ===
links2 (2.8-1ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 25 Oct 2013 12:19:22 +0100

links2 (2.8-1) unstable; urgency=low

  * New upstream release
    + Refresh patches

 -- Axel Beckert <abe@debian.org>  Thu, 26 Sep 2013 01:02:11 +0200

links2 (2.7-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian (LP: #234717).  Remaining changes:
    - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Jun 2013 16:40:35 +0100

links2 (2.7-2) unstable; urgency=low

  * Drop svgalib support, it's going to be removed from Debian (Closes:
    #710927, LP #234717; this also has impact on #638383)
    + Remove README.Debian which covered svgalib's setuid need
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
    + No more need to remove config.* manually
  * Revamp debian/rules:
    + Remove redundant dh_installchangelogs parameter
    + Move dh_link parameters to debian/links2.links
    + Remove no more used (and already commented) code
    + Use dh_auto_{configure,build,install,clean} and dh_install + dh-exec
    + Delete the no more needed debian/dirs and debian/links.dirs
    + Use dh_installman instead of handling them manually
    + Use dh_installdocs instead of manually copying the doc tree
    + Finally switch to a dh7 style debian/rules files
  * Install calibration docs into /usr/share/doc/links2/links_cal instead
    of /usr/share/doc/links2/calibration/doc/links_cal
  * Rename debian/{docs,menu} to debian/links2.{docs,menu} for unambiguity
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 00:55:55 +0200
