=== debian/watch ===
version=3
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.bz2
opts=uversionmangle=s/pre/~pre/ \
http://links.twibright.com/download/ links-([\d\.a-z]+)\.tar\.gz
