## links2 2.9

=== debian/changelog ===
links2 (2.9-3ubuntu1) wily; urgency=medium

  * Use dh-autoreconf instead of autotools-dev.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 08 Jun 2015 22:23:15 -0700

links2 (2.9-3) unstable; urgency=medium

  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sun, 26 Apr 2015 02:35:40 +0200

links2 (2.9-2) experimental; urgency=low

  * Use -lpthread on all architectures (Closes: #774250)

 -- Axel Beckert <abe@debian.org>  Wed, 31 Dec 2014 18:31:23 +0100

links2 (2.9-1) experimental; urgency=low

  * New upstream release
    + Refresh patches where necessary
    + Add -lpthread to LDFLAGS on Linux explicitly as configure missed it.
  * Add "xterm | x-terminal-emulator" as Recommends to the links2 package
    since "links2 -g" or "xlinks2" use x-terminal-emulator to spawn
    external applications needing a terminal.
  * Instead of using x-terminal-emulator unconditionally, use a wrapper
    script which first checks a blacklist of terminal emulators known to
    not behave properly on "-e" and use a fallback instead of them. Thanks
    Mikulas Patocka!
  * Declare compliance with Debian Policy 3.9.6. (No other changes needed.)
  * Switch Vcs-Browser to https and cgit-based URL.
  * Desktop file: Add keyword "lightweight".
  * Convert debian/copyright to machine-readable DEP5 format.
  * Add patch to use local instead of online copy of calibration.html
  * Install calibration files into /usr/share/links2/ instead of
    /usr/share/doc/links2/links_cal/.
    + Fixes lintian warning
      possible-documentation-but-no-doc-base-registration
    + Ensures that no file under /usr/share/doc/ is required even for
      optional features like color calibration.
  * Reverse relevant effect links2 patch on the links package's man page
    upon installation. (Closes: #602228) Also remove references to "-g"
    and friends from links.1.

 -- Axel Beckert <abe@debian.org>  Tue, 30 Dec 2014 18:58:30 +0100

links2 (2.8-2) unstable; urgency=medium

  * Build-depend on unversioned graphics format library (virtual) packages
    only (Closes: #724921, #662420)
  * Enable parallel building
  * Add CVE id to previous changelog entry.
  * Bump Standard-Version to 3.9.5 (no changes)

 -- Axel Beckert <abe@debian.org>  Wed, 28 May 2014 00:54:58 +0200
