=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9~),
+Build-Depends: debhelper (>= 9~),
+               dh-autoreconf,
                dh-exec,
                libbz2-dev,
                libdirectfb-dev,
                libgpm-dev [linux-any],
-               libjpeg8-dev | libjpeg-dev,
+               libjpeg-dev,
                liblzma-dev,
-               libpng12-dev | libpng-dev,
+               libpng-dev,
                libsdl1.2-dev,
                libssl-dev,
                libtiff-dev,
@@ -19,9 +19,9 @@
                libxau-dev,
                libxdmcp-dev,
                libxt-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://links.twibright.com/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/links2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/links2.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/links2.git
 
 Package: links2
@@ -29,6 +29,7 @@
 Provides: www-browser
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Recommends: xterm | x-terminal-emulator
 Description: Web browser running in both graphics and text mode
  Links is a graphics and text mode WWW browser, similar to Lynx. It displays
  tables, frames, downloads on background, uses HTTP/1.1 keepalive connections.
