## links2 2.10

=== debian/changelog ===
links2 (2.10-2) unstable; urgency=medium

  * Fix typo in patch description.
  * Add patch for basic client certificate support by Enrico
    Zini. (Closes: #797066) Thanks!

 -- Axel Beckert <abe@debian.org>  Thu, 27 Aug 2015 22:42:23 +0200

links2 (2.10-1) unstable; urgency=medium

  * New upstream release
    - Refresh patches where necessary.
    - Add b-d on lib{event,rsvg2}-dev for new SVG and libevent support.
    - Disable new SVG and libevent support in links package.
  * Simplify debian/watch
  * Make debian/rules more readable by adding backslashed line-breaks to
    long shell commands.
  * Add patch to remove unnecessary usage of __DATE__ and __TIME__ to make
    bulld reproducible.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 22:25:37 +0200
